
/* ******************** */
/* 12. Custom CSS */
/* ******************** */

/* .bottom-div {
    position: absolute;
    bottom: 15px;
    left: 50%;
    transform: translateX(-50%);
} */

.rounded-circle{
    border: 1px solid #333F55;
}

.cursor{
    cursor: pointer;
}

.square-container {
    display: flex;
    align-items: center;
    justify-content: center;
    padding: 5px; /* Optional, for spacing */
}

.square-img {
    width: 100%;       /* Make the image take full width */
    aspect-ratio: 1;   /* Maintain square aspect ratio */
    object-fit: cover; /* Crop the image to fit in the square */
}

 

.bottom-div {
    position: relative;
    bottom: 15px;
    left: 50%;
    transform: translateX(-50%);
    width: 100%; /* Ensure it stays within the screen width */
    max-width: 400px; /* Optional: limit the maximum width */
    padding: 0 15px; /* Add padding for better spacing */
    box-sizing: border-box;
    text-align: center;
}

@media (max-width: 768px) {
    .bottom-div {
        width: 90%; /* Reduce width on smaller screens */
        padding: 0 10px; /* Adjust padding */
    }
}


.password-wrapper {
    position: relative;
}

.password-wrapper .toggle-password {
    position: absolute;
    top: 50%;
    right: 10px;
    transform: translateY(-50%);
    cursor: pointer;
}


.end-10 {
    right: 10px !important;
  }
  

    @media only screen and (min-width: 1400px) {
      .container-menu {
        max-width: 500px !important;
      }
    }

    @media only screen and (min-width: 1200px) {
      .container-menu {
        max-width: 500px !important;
      }
    }

    @media only screen and (min-width: 992px) {
      .container-menu {
        max-width: 500px !important;
      }
    }
    
 
a, .profil , .go-link{
    cursor: pointer;
  }

  .text-webkit-center{
    text-align: -webkit-center;
  }
  .loader-css {
    width: 50px;
    aspect-ratio: 1;
    border-radius: 50%;
    border: 6px solid;
    border-color: #3b4995 #0000 #43c0ee #0000;
    animation: l1 1s infinite;
  }
  @keyframes l1 {to{transform: rotate(.5turn)}}
  
  .border-raduis-10{
    border-radius:  0px  0px 10px 10px ;
  }
  
  .border-raduis-top-7{
    border-radius:  0px  0px 7px 7px ;
  }


   
  .couverture { 
    width: 100%;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 10px 10px 0px 0px;
  }
  .profile-image-wrapper {  
    transform: translateX(0%);
    z-index: 1;
  }
  .profile-image {
    border: 2px solid white;  
  } 
  
  .iframe-container {
    width: 375px;   
    height: 667px; 
    margin-left: 25px;
    overflow: hidden;
    border: 6px solid #ebebeb;
    border-radius: 3rem;
    box-shadow: 0 121px 49px #00000005, 0 68px 41px #00000014, 0 30px 30px #00000024, 0 8px 17px #00000029;
  }
/* 
  .iframe-container{
    position: fixed ;
  }

  @media only screen and (max-width: 768px) {
    .iframe-container {
        position:relative;
    }
  } */

  
  .profile-iframe {
    width: 100%;
    height: 100%;
    border: none;
  }
  
  ::-webkit-scrollbar {
    width: 5px;
    height: 8px;
    background-color: #fff;
  }
  
  ::-webkit-scrollbar-track {
    width: 5px;
    height: 8px;
    background-color: #fff;
  }
  
  ::-webkit-scrollbar-thumb {
    background-color: #aab7cf;
  }
  
  .reload-iframe{
    position: absolute;
    top: 10px;
    right: 10px;
    font-size: 25px;
    font-weight: 900;
    color: #5d87ff;
  }


  .disable {
    position: relative; /* Ensure the container is positioned relatively */
  }
  
  .disable::before,
  .disable::after {
    content: "";
    position: absolute;
    width: calc(100% + 4px);
    height: 3px;
    background-color: var(--bs-primary);
    top: 50%;
    left: 0;
    z-index: 999;
    transform-origin: center;
  }
  
  .disable::before {
    transform: translateY(-50%) rotate(45deg); /* First diagonal line */
  }
  
  .disable::after {
    transform: translateY(-50%) rotate(-45deg); /* Second diagonal line */
  }
  

  .statut-card{
    position: absolute;
    top: 50%;
    right: 10px; 
    z-index: 999;
  }
  
  .bg-input{
      background-color: var(--bs-body-bg);
  }
  
  .bg-input:focus{
      background-color: var(--bs-body-bg);
  }